Index: code/branches/cpp11_v2/src/libraries/network/Client.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/Client.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/Client.h	(revision 10817)
@@ -76,20 +76,20 @@
     static Client* getInstance(){ return singletonPtr_s; } // tolua_export
 
-    bool establishConnection();
+    bool establishConnection() override;
     void setDestination( const std::string& serverAddress, unsigned int port ); // tolua_export
-    bool closeConnection();
-    void queuePacket(ENetPacket* packet, int clientID, uint8_t channelID);
-    virtual bool sendPacket( packet::Packet* packet ){ return packet->send( static_cast<Host*>(this) ); }
-    virtual void doSendChat(const std::string& message, unsigned int sourceID, unsigned int targetID);
-    virtual void doReceiveChat(const std::string& message, unsigned int sourceID, unsigned int targetID);
-    virtual void printRTT();
+    bool closeConnection() override;
+    void queuePacket(ENetPacket* packet, int clientID, uint8_t channelID) override;
+    virtual bool sendPacket( packet::Packet* packet ) override{ return packet->send( static_cast<Host*>(this) ); }
+    virtual void doSendChat(const std::string& message, unsigned int sourceID, unsigned int targetID) override;
+    virtual void doReceiveChat(const std::string& message, unsigned int sourceID, unsigned int targetID) override;
+    virtual void printRTT() override;
 
     void update(const Clock& time);
   protected:
-    virtual void connectionClosed();
+    virtual void connectionClosed() override;
   private:
     Client(const Client& copy); // not used
-    virtual bool isServer_(){return false;}
-    void processPacket(packet::Packet* packet);
+    virtual bool isServer_() override{return false;}
+    void processPacket(packet::Packet* packet) override;
 
     static Client* singletonPtr_s;
Index: code/branches/cpp11_v2/src/libraries/network/ClientConnection.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/ClientConnection.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/ClientConnection.h	(revision 10817)
@@ -57,6 +57,6 @@
     uint32_t getRTT();
   private:
-    virtual void addPeer(uint32_t peerID);
-    virtual void removePeer(uint32_t peerID);
+    virtual void addPeer(uint32_t peerID) override;
+    virtual void removePeer(uint32_t peerID) override;
 
     bool disconnectConnection();
Index: code/branches/cpp11_v2/src/libraries/network/GamestateManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/GamestateManager.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/GamestateManager.h	(revision 10817)
@@ -83,8 +83,8 @@
     ~GamestateManager();
 
-    virtual bool      addGamestate(packet::Gamestate *gs, unsigned int peerID);
-    virtual bool      ackGamestate(unsigned int gamestateID, unsigned int peerID);
-    virtual uint32_t  getLastReceivedGamestateID( unsigned int peerID );
-    virtual uint32_t  getCurrentGamestateID(){ if( currentGamestate_) return currentGamestate_->getID(); else return GAMESTATEID_INITIAL; }
+    virtual bool      addGamestate(packet::Gamestate *gs, unsigned int peerID) override;
+    virtual bool      ackGamestate(unsigned int gamestateID, unsigned int peerID) override;
+    virtual uint32_t  getLastReceivedGamestateID( unsigned int peerID ) override;
+    virtual uint32_t  getCurrentGamestateID() override{ if( currentGamestate_) return currentGamestate_->getID(); else return GAMESTATEID_INITIAL; }
 
     bool processGamestates();
Index: code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc	(revision 10817)
@@ -109,5 +109,5 @@
       {
         case ENET_EVENT_TYPE_CONNECT:
-            orxout(verbose, context::network) << "Received LAN discovery connect from client " << event.peer->host->receivedAddress << endl;
+            //orxout(verbose, context::network) << "Received LAN discovery connect from client " << event.peer->host->receivedAddress << endl;
             break;
         case ENET_EVENT_TYPE_DISCONNECT:
@@ -117,5 +117,5 @@
           if( strcmp( LAN_DISCOVERY_MESSAGE, (char*)event.packet->data ) == 0 )      // check for a suitable orxonox client
           {
-            orxout(internal_info, context::network) << "Received LAN discovery message from client " << event.peer->host->receivedAddress << endl;
+            //orxout(internal_info, context::network) << "Received LAN discovery message from client " << event.peer->host->receivedAddress << endl;
             packet::ServerInformation info;
             info.setServerName(this->ownName);
Index: code/branches/cpp11_v2/src/libraries/network/NetworkFunction.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/NetworkFunction.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/NetworkFunction.h	(revision 10817)
@@ -114,10 +114,10 @@
 
     // ignore the objectID because its a static function
-    virtual bool call(uint32_t objectID){ (*this->functor_)(); return true; }
-    virtual bool call(uint32_t objectID, const MultiType& mt1){ (*this->functor_)(mt1); return true; }
-    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2){ (*this->functor_)(mt1, mt2); return true; }
-    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3){ (*this->functor_)(mt1, mt2, mt3); return true; }
-    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4){ (*this->functor_)(mt1, mt2, mt3, mt4); return true; }
-    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5){ (*this->functor_)(mt1, mt2, mt3, mt4, mt5); return true; }
+    virtual bool call(uint32_t objectID) override{ (*this->functor_)(); return true; }
+    virtual bool call(uint32_t objectID, const MultiType& mt1) override{ (*this->functor_)(mt1); return true; }
+    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2) override{ (*this->functor_)(mt1, mt2); return true; }
+    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3) override{ (*this->functor_)(mt1, mt2, mt3); return true; }
+    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4) override{ (*this->functor_)(mt1, mt2, mt3, mt4); return true; }
+    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5) override{ (*this->functor_)(mt1, mt2, mt3, mt4, mt5); return true; }
 
   private:
@@ -142,5 +142,5 @@
     { }
 
-    inline bool call(uint32_t objectID)
+    inline bool call(uint32_t objectID) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
@@ -152,5 +152,5 @@
         return false;
     }
-    inline bool call(uint32_t objectID, const MultiType& mt1)
+    inline bool call(uint32_t objectID, const MultiType& mt1) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
@@ -162,5 +162,5 @@
         return false;
     }
-    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2)
+    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
@@ -172,5 +172,5 @@
         return false;
     }
-    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3)
+    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
@@ -182,5 +182,5 @@
         return false;
     }
-    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4)
+    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
@@ -192,5 +192,5 @@
         return false;
     }
-    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5)
+    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
Index: code/branches/cpp11_v2/src/libraries/network/NetworkFunctionIncludes.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/NetworkFunctionIncludes.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/NetworkFunctionIncludes.h	(revision 10817)
@@ -56,6 +56,6 @@
             ~StaticallyInitializedNetworkFunction() { delete function_; }
 
-            virtual void load();
-            virtual void unload();
+            virtual void load() override;
+            virtual void unload() override;
 
             inline NetworkFunctionBase& getFunction()
Index: code/branches/cpp11_v2/src/libraries/network/NetworkStaticInitializationHandler.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/NetworkStaticInitializationHandler.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/NetworkStaticInitializationHandler.h	(revision 10817)
@@ -39,9 +39,9 @@
     {
         public:
-            virtual void setupHandler();
-            virtual void shutdownHandler();
+            virtual void setupHandler() override;
+            virtual void shutdownHandler() override;
 
-            virtual void loadModule(ModuleInstance* module);
-            virtual void unloadModule(ModuleInstance* module);
+            virtual void loadModule(ModuleInstance* module) override;
+            virtual void unloadModule(ModuleInstance* module) override;
     };
 }
Index: code/branches/cpp11_v2/src/libraries/network/Server.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/Server.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/Server.h	(revision 10817)
@@ -61,9 +61,9 @@
     void open();
     void close();
-    void queuePacket(ENetPacket *packet, int clientID, uint8_t channelID);
-    virtual bool sendPacket( packet::Packet* packet ){ return packet->send( static_cast<Host*>(this) ); }
+    void queuePacket(ENetPacket *packet, int clientID, uint8_t channelID) override;
+    virtual bool sendPacket( packet::Packet* packet ) override{ return packet->send( static_cast<Host*>(this) ); }
     void update(const Clock& time);
     unsigned int getRTT(unsigned int clientID);
-    virtual void printRTT();
+    virtual void printRTT() override;
     float getPacketLoss(unsigned int clientID);
     int getClientCount() { return this->clientIDs_.size();}
@@ -73,10 +73,10 @@
     void updateGamestate();
   private:
-    virtual bool isServer_(){return true;}
+    virtual bool isServer_() override{return true;}
     unsigned int playerID(){return 0;}
 
-    void addPeer(uint32_t peerID);
-    void removePeer(uint32_t peerID);
-    void processPacket(packet::Packet* packet);
+    void addPeer(uint32_t peerID) override;
+    void removePeer(uint32_t peerID) override;
+    void processPacket(packet::Packet* packet) override;
 
     bool createClient(int clientID);
@@ -85,6 +85,6 @@
     bool sendObjectDeletes();
     bool isValidTarget(unsigned int targetID);
-    virtual void doSendChat(const std::string& message, unsigned int sourceID, unsigned int targetID);
-    virtual void doReceiveChat(const std::string& message, unsigned int sourceID, unsigned int targetID);
+    virtual void doSendChat(const std::string& message, unsigned int sourceID, unsigned int targetID) override;
+    virtual void doReceiveChat(const std::string& message, unsigned int sourceID, unsigned int targetID) override;
     void syncClassid(unsigned int clientID);
 
Index: code/branches/cpp11_v2/src/libraries/network/TrafficControl.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/TrafficControl.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/TrafficControl.h	(revision 10817)
@@ -109,6 +109,6 @@
 
     //ClientConnectionListener functions
-    virtual void clientConnected(unsigned int clientID){};
-    virtual void clientDisconnected(unsigned int clientID);
+    virtual void clientConnected(unsigned int clientID) override{};
+    virtual void clientDisconnected(unsigned int clientID) override;
 
 
Index: code/branches/cpp11_v2/src/libraries/network/packet/Acknowledgement.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/Acknowledgement.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/packet/Acknowledgement.h	(revision 10817)
@@ -46,6 +46,6 @@
   ~Acknowledgement();
 
-  inline unsigned int getSize() const;
-  virtual bool process(orxonox::Host* host);
+  inline unsigned int getSize() const override;
+  virtual bool process(orxonox::Host* host) override;
 
   unsigned int getAckID();
Index: code/branches/cpp11_v2/src/libraries/network/packet/Chat.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/Chat.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/packet/Chat.h	(revision 10817)
@@ -49,8 +49,8 @@
 
   /* get size of packet */
-  inline unsigned int getSize() const;
+  inline unsigned int getSize() const override;
 
   /* process chat message packet and remove it afterwards */
-  virtual bool process(orxonox::Host* host);
+  virtual bool process(orxonox::Host* host) override;
 
   /* Get the length of the message (not the full size of the packet) */
Index: code/branches/cpp11_v2/src/libraries/network/packet/ClassID.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/ClassID.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/packet/ClassID.h	(revision 10817)
@@ -47,6 +47,6 @@
   ~ClassID();
 
-  uint32_t getSize() const;
-  virtual bool process(orxonox::Host* host);
+  uint32_t getSize() const override;
+  virtual bool process(orxonox::Host* host) override;
 
 private:
Index: code/branches/cpp11_v2/src/libraries/network/packet/DeleteObjects.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/DeleteObjects.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/packet/DeleteObjects.h	(revision 10817)
@@ -48,6 +48,6 @@
   bool fetchIDs();
 
-  inline unsigned int getSize() const;
-  virtual bool process(orxonox::Host* host);
+  inline unsigned int getSize() const override;
+  virtual bool process(orxonox::Host* host) override;
 
 private:
Index: code/branches/cpp11_v2/src/libraries/network/packet/FunctionCalls.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/FunctionCalls.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/packet/FunctionCalls.h	(revision 10817)
@@ -52,10 +52,10 @@
   ~FunctionCalls();
 
-  inline unsigned int getSize() const
+  inline unsigned int getSize() const override
     { assert(!this->isDataENetAllocated()); return currentSize_; }
-  virtual bool process(orxonox::Host* host);
+  virtual bool process(orxonox::Host* host) override;
 
   void addCall( uint32_t networkID, uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5);
-  virtual bool send(orxonox::Host* host);
+  virtual bool send(orxonox::Host* host) override;
 private:
   std::queue<orxonox::FunctionCall> functionCalls_;
Index: code/branches/cpp11_v2/src/libraries/network/packet/FunctionIDs.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/FunctionIDs.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/packet/FunctionIDs.h	(revision 10817)
@@ -47,6 +47,6 @@
   ~FunctionIDs();
 
-  virtual uint32_t getSize() const;
-  virtual bool process(orxonox::Host* host);
+  virtual uint32_t getSize() const override;
+  virtual bool process(orxonox::Host* host) override;
 
 private:
Index: code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/packet/Gamestate.h	(revision 10817)
@@ -138,6 +138,6 @@
 //     void rawDiff( uint8_t* newdata, uint8_t* data, uint8_t* basedata, uint32_t datalength, uint32_t baselength);
 //     inline uint32_t findObject( const SynchronisableHeader& header, uint8_t* mem, uint32_t dataLength, uint32_t startPosition = 0 );
-    virtual uint32_t getSize() const;
-    virtual bool process(orxonox::Host* host);
+    virtual uint32_t getSize() const override;
+    virtual bool process(orxonox::Host* host) override;
     uint32_t calcGamestateSize(uint32_t id, uint8_t mode=0x0);
 //     inline void diffObject( uint8_t*& newData, uint8_t*& origData, uint8_t*& baseData, SynchronisableHeader& objectHeader, std::vector<uint32_t>::iterator& sizes );
Index: code/branches/cpp11_v2/src/libraries/network/packet/Welcome.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/packet/Welcome.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/packet/Welcome.h	(revision 10817)
@@ -45,7 +45,7 @@
   virtual ~Welcome();
 
-  uint8_t *getData();
-  inline unsigned int getSize() const;
-  virtual bool process(orxonox::Host* host);
+  uint8_t *getData() override;
+  inline unsigned int getSize() const override;
+  virtual bool process(orxonox::Host* host) override;
 
 private:
Index: code/branches/cpp11_v2/src/libraries/network/synchronisable/NetworkCallback.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/synchronisable/NetworkCallback.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/synchronisable/NetworkCallback.h	(revision 10817)
@@ -53,5 +53,5 @@
       NetworkCallback(T* object, void (T::*function) (void)) : object_(object), function_(function) {}
       virtual ~NetworkCallback() {}
-      virtual void call()
+      virtual void call() override
         { (this->object_->*function_)(); }
 
@@ -68,5 +68,5 @@
       NetworkCallbackNotify() {}
       virtual ~NetworkCallbackNotify() {}
-      virtual void call()
+      virtual void call() override
         { (this->object_->*function_)( this->oldValue_ ); }
       void setOldValue(const U& value){ this->oldValue_ = value; }
Index: code/branches/cpp11_v2/src/libraries/network/synchronisable/SynchronisableVariable.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/synchronisable/SynchronisableVariable.h	(revision 10775)
+++ code/branches/cpp11_v2/src/libraries/network/synchronisable/SynchronisableVariable.h	(revision 10817)
@@ -74,9 +74,9 @@
       virtual ~SynchronisableVariable();
 
-      virtual inline uint8_t getMode(){ return mode_; }
-      virtual inline uint32_t getData(uint8_t*& mem, uint8_t mode);
-      virtual inline void putData(uint8_t*& mem, uint8_t mode, bool forceCallback = false);
-      virtual inline uint32_t getSize(uint8_t mode);
-      virtual inline void* getReference(){ return static_cast<void*>(const_cast<typename Loki::TypeTraits<T>::UnqualifiedType*>(&this->variable_)); }
+      virtual inline uint8_t getMode() override{ return mode_; }
+      virtual inline uint32_t getData(uint8_t*& mem, uint8_t mode) override;
+      virtual inline void putData(uint8_t*& mem, uint8_t mode, bool forceCallback = false) override;
+      virtual inline uint32_t getSize(uint8_t mode) override;
+      virtual inline void* getReference() override{ return static_cast<void*>(const_cast<typename Loki::TypeTraits<T>::UnqualifiedType*>(&this->variable_)); }
     protected:
       T&                       variable_;
